// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// UserGetOKCode is the HTTP code returned for type UserGetOK
const UserGetOKCode int = 200

/*UserGetOK A successful response.

swagger:response userGetOK
*/
type UserGetOK struct {

	/*
	  In: Body
	*/
	Payload *models.GetUserByIDResponse `json:"body,omitempty"`
}

// NewUserGetOK creates UserGetOK with default headers values
func NewUserGetOK() *UserGetOK {

	return &UserGetOK{}
}

// WithPayload adds the payload to the user get o k response
func (o *UserGetOK) WithPayload(payload *models.GetUserByIDResponse) *UserGetOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get o k response
func (o *UserGetOK) SetPayload(payload *models.GetUserByIDResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*UserGetDefault An unexpected error response

swagger:response userGetDefault
*/
type UserGetDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserGetDefault creates UserGetDefault with default headers values
func NewUserGetDefault(code int) *UserGetDefault {
	if code <= 0 {
		code = 500
	}

	return &UserGetDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user get default response
func (o *UserGetDefault) WithStatusCode(code int) *UserGetDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user get default response
func (o *UserGetDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user get default response
func (o *UserGetDefault) WithPayload(payload *models.Error) *UserGetDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user get default response
func (o *UserGetDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserGetDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
